# Entity

[This is preliminary documentation and subject to change.]

Represents an entity in an <entities>.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | The path for the entity. | True
if | bool | If `true` then the entity will be included. The default is `true`. | False
unless | bool | Opposite of `if`. If `false` then the entity will be included. The default is `false`. | False

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)